Create a page
Regional
us.api.brault.app— follows the region selector in the top barGive exactly one of library_id, folder_id, to_root. blocks becomes the page’s initial content.
Authorization
apiKey AuthorizationBearer <token>
API key from Settings → Developers
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/pages" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "object": "page", "id": "string", "name": "string", "library_id": "string", "folder_id": "string", "published": true, "published_at": "2019-08-24T14:15:22Z", "published_by_id": "string", "public_url": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "trashed_at": "2019-08-24T14:15:22Z", "content": { "format": "json", "json": {}, "markdown": "string" }}